Last modified: 2012-09-27 23:33:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 37977 - Need better documentation for how to checkout all extensions (for developers)
Need better documentation for how to checkout all extensions (for developers)
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: Unprioritized normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2012-06-26 23:47 UTC by Sam Reed (reedy)
Modified: 2012-09-27 23:33 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sam Reed (reedy) 2012-06-26 23:47:46 UTC
From a cursory glance on mediawiki.org at least, it doesn't seem that the process of checking out extensions is very well documented (or clearly).

We have clone-all.php in svn, mediawiki/extensions.git as a repo, then needing submodule init...

Something should be near https://www.mediawiki.org/wiki/Git/Workflow#Clone_the_repository to describe extensions; they're quite important to us!
Comment 1 Krinkle 2012-06-27 02:17:42 UTC
Rephrasing summary.

For a simple checkout for a user we have this:
https://www.mediawiki.org/wiki/Template:ExtensionInstall
https://www.mediawiki.org/wiki/Template:ExtensionGitCheckout

e.g. see https://www.mediawiki.org/wiki/Extension:TitleKey

To get all at once (for developers) we need docs indeed.
Comment 2 Sam Reed (reedy) 2012-06-27 11:07:44 UTC
(In reply to comment #1)
> To get all at once (for developers) we need docs indeed.


^
Comment 3 Brion Vibber 2012-06-28 17:29:46 UTC
By 'for developers' do you mean cloning over ssh?

I'm not sure that's necessary, if people are using git-review then that sets them up properly doesn't it?
Comment 4 Sam Reed (reedy) 2012-06-28 18:06:05 UTC
We have no (obvious) documentation that tell "a developer" (or anyone else for that matter, ie anon http checkout) how to simply get a copy of all the mediawiki extensions in our git repository
Comment 5 Chad H. 2012-06-28 18:07:26 UTC
So add docs or fix the docs on mw.org? I'm not at all sure why we need a bug open for this.
Comment 6 Sam Reed (reedy) 2012-06-28 18:10:50 UTC
(In reply to comment #5)
> So add docs or fix the docs on mw.org? I'm not at all sure why we need a bug
> open for this.

Cause we've got numerous ways of doing it... Scripts in SVN, scripts in git.

Which is the "right" or "recommended" way?


This is per a discussion between Tim and I when sorting out the extension distributor
<TimStarling> am I meant to check out each extension separately?
...
<TimStarling> I think I set up my laptop before it existed, I just used some shell one-liner with gerrit ls-projects
Comment 7 Chad H. 2012-06-28 18:20:53 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > So add docs or fix the docs on mw.org? I'm not at all sure why we need a bug
> > open for this.
> 
> Cause we've got numerous ways of doing it... Scripts in SVN, scripts in git.
> 

Delete them? I never asked anyone to write them and they just confuse people. The only script I need is `update-extensions.sh`, which is designed to update the submodules in the meta repo.

> Which is the "right" or "recommended" way?
> 

If you only need one or two extensions, just clone them. If you want most/all of them, clone the meta repo then `git submodule update --init`
Comment 9 Krinkle 2012-09-27 23:33:57 UTC
Good enough I'd say. Marking fixed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links